Subject: Re: [PATCH 2/2] update-server-info: create info/* with mode 0666

From: Junio C Hamano <[email-masked]>
Date: Tue, 06 Jan 2015 13:43:33 -0800

Jeff King <[email-masked]> writes:

> On Tue, Jan 06, 2015 at 10:47:01AM -0800, Junio C Hamano wrote:
>
>> Jeff King <[email-masked]> writes:
>> 
>> > +test_expect_success POSIXPERM 'info/refs is readable in unshared repo' '
>> > +	rm -f .git/info/refs &&
>> > +	test_unconfig core.sharedrepository &&
>> > +	umask 002 &&
>> > +	git update-server-info &&
>> > +	echo "-rw-rw-r--" >expect &&
>> > +	modebits .git/info/refs >actual &&
>> > +	test_cmp expect actual
>> > +'
>> 
>> Hmm, the label and the test look somewhat out-of-sync.  "readable as
>> long as umask allows it" would be more in line with what the fix is
>> about (i.e. I would expect a test with that title to pass even if I
>> changed 'umask 002' to 'umask 007', but that is not what we want in
>> this series).
>
> That is definitely not what the series means to accomplish. I think
> naming the test "info/refs respects umask in unshared repo" is probably
> a better title for the test.

Thanks for sanity-checking me (I am still somewhat feverish and not
performing at 100% level).  Here is what I have locally (but haven't
got around to today's integration cycle yet) on top.

Subject: [PATCH] SQUASH???

---
 t/t1301-shared-repo.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/t/t1301-shared-repo.sh b/t/t1301-shared-repo.sh
index feff55e..d5eacb0 100755
--- a/t/t1301-shared-repo.sh
+++ b/t/t1301-shared-repo.sh
@@ -111,7 +111,7 @@ do
 
 done
 
-test_expect_success POSIXPERM 'info/refs is readable in unshared repo' '
+test_expect_success POSIXPERM 'info/refs is created honoring the umask' '
 	rm -f .git/info/refs &&
 	test_unconfig core.sharedrepository &&
 	umask 002 &&
-- 
2.2.1-349-g24d7964